class test_boolean{

public mfl.Number get_test_boolean(){
  mfl.Number result = new mfl.Number();
  System.out.println(mfl.predefined.True.toString());
  System.out.println(mfl.predefined.False.toString());
  System.out.println(mfl.predefined.True.and_op(mfl.predefined.True).toString());
  System.out.println(mfl.predefined.True.and_op(mfl.predefined.False).toString());
  System.out.println(mfl.predefined.False.and_op(mfl.predefined.True).toString());
  System.out.println(mfl.predefined.False.and_op(mfl.predefined.False).toString());
  System.out.println(mfl.predefined.True.equal_op(mfl.predefined.True).toString());
  System.out.println(mfl.predefined.False.equal_op(mfl.predefined.False).toString());
  System.out.println(mfl.predefined.True.equal_op(mfl.predefined.False).toString());
  System.out.println(mfl.predefined.True.not_op().toString());
  System.out.println(mfl.predefined.False.not_op().toString());
  System.out.println(mfl.predefined.True.or_op(mfl.predefined.True).toString());
  System.out.println(mfl.predefined.True.or_op(mfl.predefined.False).toString());
  System.out.println(mfl.predefined.False.or_op(mfl.predefined.True).toString());
  System.out.println(mfl.predefined.False.or_op(mfl.predefined.False).toString());
  if (mfl.predefined.False == mfl.predefined.True){
    System.out.println(new mfl.String("Big problems").toString());
  }else{
    if (mfl.predefined.True == mfl.predefined.True){
      System.out.println(new mfl.String("OK").toString());
    }else{
      System.out.println(new mfl.String("Bigger problems").toString());
    };
  };
  return result;
}

public static void main(String Argv[]){
  test_boolean m = new test_boolean();
  m.get_test_boolean();
}

}

